from django.contrib.auth import get_user_model
from factory import DjangoModelFactory, Faker

from .models import OrgGroup, Team


class UserFactory(DjangoModelFactory):
    sso_id = Faker("random_letters")

    class Meta:
        model = get_user_model()
        django_get_or_create = ["sso_id"]


class TeamFactory(DjangoModelFactory):
    name = Faker("company")

    class Meta:
        model = Team
        django_get_or_create = ["name"]


class OrgGroupFactory(DjangoModelFactory):
    name = Faker("company")

    class Meta:
        model = OrgGroup
        django_get_or_create = ["name"]
